KDE 4.7 PyKDE API Reference

- KDE's Python API

# KViewStateMaintainerBase Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject

## Detailed Description

## Methods
| __init__ (self, KConfigGroup configGroup, QObject parent=0)
KConfigGroup | configGroup (self)
| restoreState (self)
| saveState (self)
QItemSelectionModel | selectionModel (self)
| setSelectionModel (self, QItemSelectionModel selectionModel)
| setView (self, QAbstractItemView view)
QAbstractItemView | view (self)

## Method Documentation

__init__ | ( | self, |
|  | KConfigGroup | configGroup,
|  | QObject | parent=0
| ) |  |  |

KConfigGroup configGroup | ( |  | self ) |

restoreState | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

saveState | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

QItemSelectionModel selectionModel | ( |  | self ) |

setSelectionModel | ( | self, |
|  | QItemSelectionModel | selectionModel
| ) |  |  |

setView | ( | self, |
|  | QAbstractItemView | view
| ) |  |  |

QAbstractItemView view | ( |  | self ) |